GET/larBarRates

Get LAR BAR Rates

This API call enables you to retrieve rate data once the shop has been completed, using the shopId as an input parameter.
GET/larBarRates

Important Notes

Schema Description:

  • shopId: Unique ID for the specific rateshop.
  • dtCollected: Crawl date and Time in UTC.
  • websiteCode: Unique code for each website (2 - Booking, 1 - Expedia, etc.)
  • isLAR: Indicates the rate type for the property. False refers to "BAR" and True refers to "LAR".
  • checkIn: Specific date for the check-in.
  • checkout: Specific date for the check-out.
  • los: Length of stay.
  • pos: This parameter decides the rateshop call be made from which region to extract rates.
  • guests: Number of Guests will be staying.
  • hotelId: Unique assigned by Source such as booking.com.
  • hotelCode: Unique ID for the specific hotel.
  • hotelName: Name of the property.
  • sourceUrl: Direct link of the check-in page.
  • address: Street address.
  • city: City where the hotel is located.
  • state: State or province of the property.
  • country: Country name of the property.
  • latitude: Latitude coordinate of the property location.
  • longitude: Longitude coordinate of the property location.
  • currency: Price Currency.
  • propertyType: The classification or type of property (e.g., hotel, resort, inn).
  • roomType: Room type as described in the source webpage.
  • roomDescription: Detailed room description content.
  • roomAmenities: Amenities offered for the room.
  • mapLink: Map view link of the property on the source website.
  • roomAvailable: Availability status of the room.
  • roomLeft: Number of rooms left for booking on the source site.
  • reviewRating: The average rating of the hotel based on guest reviews.
  • reviewsCount: The total number of guest reviews received by the hotel.
  • taxAmount: Contains the taxable value.
  • taxType: Contains the tax information fetched from the pricing page.
  • taxStatus: Possible values are -1, 1, 2, 3, where -1 denotes Tax information not available, 1 denotes Tax Included in rate, 2 denotes Tax not included in rate, 3 denotes Tax partially included in rate.
  • mealPlan: Contains the meal plan information offered for the room (Free Breakfast, Full board, Half board, etc.).
  • ratePlan: Contains the rate conditions like Free cancellation, Refundable, Non-refundable, etc.
  • locationRating: Location score.
  • promo: Promotion details.
  • ratingText: Qualitative rating description.
  • onsiteRate: Is the actual rate the hotel room is available for.
  • netRate: Is the rate of the hotel room before discount.
  • discount: Discount amount (as a percentage).
  • occupancy: Maximum number of guest the specific room can accommodate.
  • paymentType: Payment options "Pay now" & "Pay Later".
  • rankingListingCount: Number of total listings ranked for the property’s position.
  • navigationPage: Page number in pagination when scraping.
  • newArrival: Indicates if the property is newly added.
  • distanceHotel: Distance (in km or miles) from a central location or reference point.
  • otherInformation: Any additional data not covered by defined fields.
  • statusCode: Denotes the status of the record. Possible values (200, 202, 204).
  • dotsRating: Dot Rating provided by booking.com for properties.
  • htlRating: Star rating provided by the property to Booking.com, usually determined by an official hotel rating organization or another recognized third party.
  • aptRating: Rating awarded to home and apartment-like properties by Booking.com. These represent quality ratings based on factors like facilities, size, location, and service.
  • preferredPartner: Indicates whether the property is part of Booking.com's Preferred Partner Program.
  • preferredPlus: Indicates whether the property is part of Booking.com's Preferred Plus Program.

Parameter Details

NameInTypeRequiredDescription
» shopIdpathintegerRequiredSpecifies the ID of the shop for which you want to retrieve the last execution log.
» pageNumberqueryintegerOptionalNone
» limitqueryintegerOptionalNone

Responses

StatusMeaningDescriptionSchema
200OKWebhook created successfully
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X GET /hotel-details \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "shopId": [
    260
  ],
  "dtCollected": {
    "$date": "2026-05-13T05:02:23.735Z"
  },
  "websiteCode": 2,
  "isLAR": true,
  "checkIn": {
    "$date": "2026-07-08T00:00:00.000Z"
  },
  "checkOut": {
    "$date": "2026-07-09T00:00:00.000Z"
  },
  "los": 1,
  "pos": 2,
  "guests": 1,
  "hotelId": {
    "$numberLong": "231690"
  },
  "hotelCode": 1342645,
  "hotelName": "The White Hart Hotel, Boston, Lincolnshire - The Coaching Inn Group",
  "sourceUrl": "https://www.booking.com/hotel/gb/white-hart-hotel.en-gb.html",
  "address": "High Street",
  "city": "Boston",
  "state": "",
  "country": "United Kingdom",
  "latitude": "",
  "longitude": "",
  "currency": "GBP",
  "propertyType": "Hotels",
  "roomType": "Classic Single Room",
  "roomDescription": "bedrooms 0, Kitchen 0, beds 1, living room 0, bathroom 0",
  "roomAmenities": "",
  "mapLink": "https://www.booking.com/hotel/gb/white-hart-hotel.en-gb.html?map=1",
  "roomAvailable": "1",
  "roomLeft": "4",
  "reviewRating": 8.2,
  "reviewsCount": 1378,
  "taxAmount": 0,
  "taxType": "Included",
  "taxStatus": 1,
  "mealPlan": "",
  "ratePlan": "FreeCancellation",
  "locationRating": 0,
  "promo": "",
  "ratingText": "Very good",
  "onsiteRate": 99,
  "netRate": 0,
  "discount": 0,
  "occupancy": 1,
  "paymentType": "",
  "rankingListingCount": 1,
  "navigationPage": 1,
  "newArrival": "",
  "distanceHotel": 50,
  "otherInformation": "",
  "statusCode": 200,
  "otherRatings": {
    "htlRating": 4,
    "aptRating": 0,
    "dotsRating": 0
  },
  "ratingFlags": {
    "preferredPartner": false,
    "preferredPlus": false
  }
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.